import { isCarrot2Distribution } from "./config.js";

const lingo3gAlgorithm = {
  "Lingo3G": {
    label: "Lingo3G",
    description: "Meaningful, well-described hierarchical clusters. Very fast, many tuning options.",
    descriptionHtml: "produces meaningful, well-described hierarchical clusters. Very fast, scalable, many tuning options (not exposed in this demo). Commercially available from <a href='https://carrotsearch.com' target='_blank'>Carrot Search</a>.",
    tag: "commercial"
  }
};

const opensourceAlgorithms = {
  "Lingo": {
    label: "Lingo",
    description: "Well-described flat clusters.",
    descriptionHtml: "creates well-described flat clusters. Does not scale beyond a few thousand search results. Available as part of the open source <a href='http://project.carrot2.org' target='_blank'>Carrot<sup>2</sup> framework</a>.",
    tag: "open source"
  },
  "STC": {
    label: "STC",
    description: "Flat clusters, fast algorithm.",
    descriptionHtml: "the classic search results clustering algorithm. Produces flat cluster with adequate description, very fast. Available as part of the open source <a href='http://project.carrot2.org' target='_blank'>Carrot<sup>2</sup> framework</a>",
    tag: "open source"
  },
  "Bisecting K-Means": {
    label: "k-means",
    description: "Base line algorithm, bag-of-words labels.",
    descriptionHtml: "base line clustering algorithm, produces bag-of-words style cluster descriptions. Available as part of the open source <a href='http://project.carrot2.org' target='_blank'>Carrot<sup>2</sup> framework</a>",
    tag: "open source"
  }
};

export const algorithms = isCarrot2Distribution() ? opensourceAlgorithms : lingo3gAlgorithm;
